# $Revision: 1.8 $, $Date: 2004/03/13 20:57:05 $
# TODO:
# - make cgi version
Summary:	Program to manage /etc/passwd-like files
Summary(pl):	Program do zarzdzania plikami podobnymi do /etc/passwd
Name:		chpwdfile
Version:	0.24
Release:	1
Epoch:		0
License:	GPL v2
Group:		Base/Authentication and Authorization
Source0:	ftp://eclipse.che.uct.ac.za/chpwdfile/%{name}-%{version}.tar.gz
# Source0-md5:	8bdba005f58a09c7dc1b12692691179a
URL:		http://eclipse.che.uct.ac.za/chpwdfile/
Requires:	pam-pam_pwdfile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple program to allow the administration of a text file
containing username:crypted_password pairs, useful if one uses
pam_pwdfile by Charl Botha.

Multiple password files can be administered and minimum password
lengths, etc, can be set in a configuration file on a per-file basis.
Trusted users can set these parameters on the command line and
manipulate other users' entries. Both DES and MD5 passwords are
supported.

<TODO>
A CGI version allows manipulation of a single password file via a
simple HTML form.
</TODO>

%description -l pl
Ten program pozwala na administrowanie plikami tekstowymi,
zawierajcymi pary login:zaszyfrowane_haso, uyteczne przy uywaniu
moduu do PAM pam_pwdfile.

Moliwe jest administrowanie wieloma plikami z hasami, a opcje
minimalnej dugoci hase itp. mog by ustawione dla kadego pliku
osobno. Zaufani uytkownicy mog ustawia te opcje z linii polece i
manipulowa wpisami innych uytkownikw. Obsugiwane s hasa DES oraz
MD5.

<TODO>
Wersja CGI pozwala na operowanie pojedynczym plikiem z hasami poprzez
prosty interfejs HTML.
</TODO>

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	COPTS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_sbindir} \
	MANDIR=%{_mandir}/man1

install examples/chpwdfile.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README examples
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/chpwdfile.conf
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chpwdfile.spec,v $
Revision 1.8  2004/03/13 20:57:05  blues
- release 1

Revision 1.7  2003/12/12 23:34:53  eothane
- updated to 0.24
- not needed patches were removed

Revision 1.6  2003/11/26 10:58:22  siefca
- leaded common naming conventions for PAM module packages

Revision 1.5  2003/10/15 20:09:13  qboosh
- pl fixes+cosmetics

Revision 1.4  2003/10/14 08:37:37  blues
- pl

Revision 1.3  2003/10/14 08:26:28  blues
- added usage_fix patch - missing entry in usage print (caused term-broke)

Revision 1.2  2003/10/13 16:26:24  blues
- move files to sbindir, install config

Revision 1.1  2003/10/13 16:13:06  blues
- initial release
